# class toTask

This is an abstract class that defines something that is to be performed by a thread. More...

Contains pure virtuals
Definition | `#include <tothread.h>`
Inherited by | cacheObjects, queryTask
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- virtual ~toTask ()
- virtual void run (void)

## Detailed Description

This is an abstract class that defines something that is to be performed by a thread.

~toTask ()

### ~toTask

[virtual]

void run (void)

### run

[pure virtual]

This member is called when the class is started.